# Repzo API - Bank Lists

OpenAPI specification for Repzo Bank Lists endpoints.

**Version:** 1.0.0

## Overview

### Base URLs

- \*\*\*\*: `https://sv.api.repzo.me`

## Authentication

No authentication required.

## Endpoints

### `/bankslists`

#### GET /bankslists

**Summary:** Find bank lists

##### Parameters

| Name | Location | Type | Required | Description |
| ---- | -------- | ---- | -------- | ----------- |

| `params` | query | object | No | Query parameters for filtering bank lists |

##### Responses

**200** - A list of bank lists

Content-Type: `application/json`

---

#### POST /bankslists

**Summary:** Create a bank list

##### Request Body

**Content Types:**

- `application/json`

##### Responses

**201** - Bank list created

Content-Type: `application/json`

---

### `/bankslists/{id}`

#### GET /bankslists/{id}

**Summary:** Get a bank list by ID

##### Parameters

| Name | Location | Type | Required | Description |
| ---- | -------- | ---- | -------- | ----------- |

| `id` | path | string | Yes | No description |

##### Responses

**200** - Bank list details

Content-Type: `application/json`

---

#### PUT /bankslists/{id}

**Summary:** Update a bank list

##### Parameters

| Name | Location | Type | Required | Description |
| ---- | -------- | ---- | -------- | ----------- |

| `id` | path | string | Yes | No description |

##### Request Body

**Content Types:**

- `application/json`

##### Responses

**200** - Bank list updated

Content-Type: `application/json`

---

#### DELETE /bankslists/{id}

**Summary:** Remove a bank list

##### Parameters

| Name | Location | Type | Required | Description |
| ---- | -------- | ---- | -------- | ----------- |

| `id` | path | string | Yes | No description |

##### Responses

**200** - Bank list removed

Content-Type: `application/json`

---

## Data Models

### BankListFindResult

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `data` | array | No | No description |

| `meta` | object | No | No description |

### BankListCreateBody

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `name` | string | No | No description |

| `banks` | array | No | No description |

| `disabled` | boolean | No | No description |

### BankListCreateResult

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `data` | object | No | No description |

### BankListGetResult

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `data` | object | No | No description |

### BankListUpdateBody

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `name` | string | No | No description |

| `banks` | array | No | No description |

| `disabled` | boolean | No | No description |

### BankListUpdateResult

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `data` | object | No | No description |

### BankListRemoveResult

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `success` | boolean | No | No description |

### BankList

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `_id` | string | No | No description |

| `name` | string | No | No description |

| `banks` | array | No | No description |

| `disabled` | boolean | No | No description |

| `createdAt` | string | No | No description |

| `updatedAt` | string | No | No description |

## TypeScript Usage

See [bankslists-examples.md](./bankslists-examples.md) for detailed TypeScript usage examples.
